<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Administrar</title>
    <link rel="stylesheet" type="text/css" href="../../styles/styles.css">
</head>

<body onload="getProductos()">

    <div id="miModal" class="modal">
        <div class="flex" id="flex">
            <span class="close cerrar" id="close" onclick="cerrarModal()">&times;</span>
            <div class="contenido-modal">

                <div class="image-edit">
                    <label for="file-input">
                        <img id="image-edit" src="">
                        <div class="middle image-upload">
                            <img id="btn-img" src="../assets/icons/edit.png">
                            <input id="file-input" type="file"/>
                        </div>
                    </label>
                </div>

                <div class="info-edit">
                    <form id="form">
                        <input name="nombre" type="text" placeholder="Nombre de la obra" value="" id="inp-name" pattern="[A-Za-z0-9 ]{1,30}" title="Solo letras y números" maxlength="30" required>
                        <div id="inline"><label id="inp-price" for="inp-precio">$ <input name="precio" id="inp-precio" type="number" value=""  min="1" required></label><div id="blank">-----</div>
                            <label id="existencia"><input type="checkbox" id="check" name="existencia" checked> En existencia</label></div>
                        <textarea id="inp-des" placeholder="Escriba una descripción"></textarea>
                        <input type="button" value="Eliminar" id="inp-del" class="button cerrar" onclick="abrirEliminar()">
                        <input type="submit" value="Actualizar" id="inp-submit" class="button" onclick="">
                    </form>
                </div>
                
            </div>
        </div>
</div>

<div id="miModal-eliminar" class="modal-eliminar">
    <div class="contenido-modal-eliminar">
            <h1 id="delete-title"></h1>
            <p>Esta información ya no se podrá recuperar</p>
            <input type="button" value="Eliminar" id="inp-delete" class="button cerrar-eliminar" onclick="deleteArtwork()">
            <input type="button" value="Cancelar" id="inp-cancel" class="button" onclick="cerrarEliminar()">
    </div>
</div>

    <div id="cabecera">
        <header>
            <div class="logo">
                <img src="../assets/icons/logo.gif">
            </div>

            <div class="navbar">
                <ul>
                    <li>
                        <a href="">Cerrar sesión</a>
                    </li>
                </ul>
            </div>
        </header>
    </div>

    <div id="administracion">
        <div id="menu">
            <div class="menu-item selected"><a href="http://localhost:3000/admin">Administrar obras</a></div>
            <div class="menu-item"><a href="">Editar perfil</a></div>
            <div class="menu-item"><a href="">Cambiar contraseña</a></div>
        </div>
        <div id="opcion">
            <div id="crear-nuevo">
                <a href='#' class='abrir'>
                    <div id="agregar">
                        <img src='../assets/icons/add.png' class="icon">
                    </div>
                </a>
                <div class='artwork_info'>
                    <div class='artwork_name'>
                        <a href='#' class='abrir'>Nueva obra</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript" src="admin_adworks.js"></script>
    <script type="text/javascript" src="../../fetch.js"></script>
</body>

</html>